Bug 469883 - (CVE-2008-4909) CVE-2008-4909 crossfire-maps: insecure temporary file use in combine.pl
CVE-2008-4909 crossfire-maps: insecure temporary file use in combine.pl
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Wart
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20080824,reported=20080824,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:17 EST by Tomas Hoger
Modified: 2016-03-04 07:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:16:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-04 11:17:51 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4909 to the following vulnerability:

maps/Info/combine.pl in CrossFire crossfire-maps 1.11.0 allows local
users to overwrite arbitrary files via a symlink attack on a temporary
file.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496358
http://www.securityfocus.com/bid/30893
http://secunia.com/advisories/32487
Comment 1 Vincent Danen 2010-12-23 19:21:05 EST
The Debian bug report indicates that maps/Info/combine.pl is not used by default and is provided solely as a utility for possible use.  However, this bug report is two years old, so I'm filing a Fedora tracker as it has never been addressed.

Note You need to log in before you can comment on or make changes to this bug.